Package x2go :: Package backends :: Package settings :: Module _file :: Class X2GoClientSettingsFILE

[frames] | no frames]

# Class X2GoClientSettingsFILE

source code

              object --+
                       |
    inifiles.X2GoIniFile --+
                           |
                          X2GoClientSettingsFILE

Configuration file based settings for X2GoClient instances.

Instance Methods

__init__(self, config_files=`[``'``/home/buildd/.x2goclient/settings``'``,` `'``/etc/x2goclient/settings``'``]`, defaults=None, logger=None, loglevel=56) Constructs an X2GoClientSettingsFILE instance. | source code

Inherited from `inifiles.X2GoIniFile`: `__call__`, `__repr__`, `get`, `get_type`, `get_value`, `load`, `update_value`, `write` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| defaultValues = ``{``'``Authorization``'``:` `{``'``editprofile``'``:` True`,` `'``newpr``...``
Inherited from `inifiles.X2GoIniFile`: `user_config_file`, `write_user_config`

Properties
Inherited from `inifiles.X2GoIniFile`: `printable_config_file` Inherited from `object`: `__class__`

Method Details

### __init__(self, config_files=`[``'``/home/buildd/.x2goclient/settings``'``,` `'``/etc/x2goclient/settings``'``]`, defaults=None, logger=None, loglevel=56)
(Constructor)

source code

Constructs an X2GoClientSettingsFILE instance. This is normally done from within an X2GoClient instance. You can retrieve this X2GoClientSettingsFILE instance with the X2GoClient.get_client_settings() method.

On construction the X2GoClientSettingsFILE object is filled with values from the configuration files:

       /etc/x2goclient/settings
       ~/.x2goclient/settings

The files are read in the specified order and config options of both files are merged. Options set in the user configuration file (`~/.x2goclient/settings`) override global options set in `/etc/x2goclient/settings`.

Parameters:
  - `config_files` - a list of configuration file names (e.g. a global filename and a user's home directory filename)
  - `defaults` - a cascaded Python dicitionary structure with ini file defaults (to override Python X2Go's hard coded defaults in defaults
  - `logger` - you can pass an X2GoLogger object to the X2GoIniFile constructor
  - `loglevel` - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

Class Variable Details

### defaultValues

Value:

      {'Authorization': {'editprofile': True,
                         'newprofile': True,
                         'resume': True,
                         'suspend': True},
       'General': {'autoresume': True, 'clientport': 22},
       'LDAP': {'port': 389,
                'port1': 0,
                'port2': 0,
      ...